<template>
    <div class="pagination">
        <button class="next-back" :disabled="!selectedPage" :class="{'disabled':!selectedPage}" @click="paginate(selectedPage-1)">Назад</button>
        <ul class="pagination-item">
            <li v-for="pageNumber in totalPage" :key="pageNumber" @click="paginate(pageNumber-1)" :class="{'selectedPage':selectedPage == pageNumber -1}">{{ pageNumber }}</li>
        </ul>
        <button class="next-back" :disabled="selectedPage == totalPage -1" :class="{'disabled':selectedPage == totalPage -1}" @click="paginate(selectedPage+1)">Вперед</button>

    </div>
</template>

<script>
    import axios from "axios";

    export default {
        name: "Pagination",
        props:['totalPage','limit'],


        data:() => ({
            selectedPage:0,
        }),
        methods: {

            paginate(page) {
                axios.get('http://testtask.alto.codes/front-products.php?skip=' + page * this.limit)
                    .then(response => {
                        this.selectedPage = page;
                        this.$root.$emit('products', response.data.products);
                    })
                    .catch((error) => {
                        console.log(error);
                    })
            },

        }
    }
</script>

<style lang="scss">

    .pagination {
        display: flex;
        justify-content: space-between;
        align-items: center;
        max-width: 380px;
        margin: 50px auto;
        .pagination-item {
            display: flex;
            list-style-type: none;
            padding-left: 18px;
            padding-right: 18px;

            li {
                width: 32px;
                height: 32px;
                background: #EFF5FE;
                transition: all ease-in-out .3s;
                color: #4F545F;
                border-radius: 50%;
                line-height: 32px;
                font-size: 12px;
                margin-right: 5px;
                &:hover {
                    cursor: pointer;
                    background: #336EC6;
                    color: #ffffff;

                }
                &.selectedPage {
                    cursor: pointer;
                    background: #336EC6;
                    color: #ffffff;

                }
            }
        }
        .next-back {
            display: inline-block;
            border: none;
            outline: none;
            background: #EFF5FE;
            border-radius: 100px;
            height: 32px;
            width: 80px;
            color: #4F545F;
            &.disabled {
                opacity:.7
            }
            &:hover {
                cursor: pointer;
            }

        }
    }

</style>